/*
 * $Id: camera.c,v 1.3 2002/11/25 18:51:10 dwalters Exp $
 *
 * gbcam library usage example
 * See http://www.seattlerobotics.org/encoder/200205/gbcam.html for more details
 *
 * Copyright (C) 2001 Dafydd Walters
 * dwalters@users.sourceforge.net
 *
 * Permission is hereby granted, free of charge, to use,
 * modify and distribute this example source code without
 * restriction.  Please note that such unrestricted
 * permission does NOT apply to the MotoRobots libraries
 * themselves.  The MotoRobots libraries are distributed
 * under the terms of the GNU Lesser General Public License.
 *
 * THE AUTHORS AND THE CONTRIBUTORS TO THIS WORK
 * DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE
 */

#include <68332/qsm.h>
#include <68332/sim.h>
#include <68332/mrm/gbcam.h>

#define BAUD_RATE 19200

int main(void)
{
    char c = 0;
    int i;

    set_processor_speed(CLOCK16MHZ);
    sciinit(BAUD_RATE);
    gbcam_init();

    while (c != 'x')
    {
        if (havebyte())
        {
            /* Receive byte from serial port */
            c = inbyte();

            switch (c)
            {
                case 's' :  /* Set exposure time */

                    gbcam_exposure();
                    outbyte('s');
                    break;

                case 'p' :  /* Take a picture */

                    gbcam_shoot();
                    for (i = 0; i < gbcam_IMAGE_SIZE; i++)
                        outbyte(gbcam_imageBuffer[i]);
                    break;
            }
        }
    }

    /* return control to CPU32BUG monitor */
    return 0;
}
