#include <stdio.h>
#include <68332/qsm.h>
#include <68332/sim.h>
#include <68332/mrm/led.h>
#include <68332/mrm/lcd.h>

typedef short int word;

#define BAUD_RATE 19200

int main(void)
{
    char c;

    set_processor_speed(CLOCK16MHZ);

    /*
     * since sciinit is required for all programs that do i/o
     * perhaps it should be in mrm_crt0.S also?  It would still
     * be available if the user wanted to change baud rate.
     */
    sciinit(BAUD_RATE);

    led_init();
    lcd_init(2, 16, 0, FALSE);

    printf("hello world\n");
    led_on(GreenLED);
    led_off(RedLED);

    lcd_printf("Hello World!");

    printf("enter a character:\n ");
    while (!havebyte());
    c = inbyte();
    printf("you typed: %c\n", c);

    led_on(RedLED);
    led_off(GreenLED);

    printf("press any key to exit\n");
    while (!havebyte());
    inbyte();

    /* make sure all data from printf's has been printed */
    while (sendingbyte());
    exit(0);
}
