/*
 * $Id: types.h,v 1.6 2002/12/02 20:19:12 dwalters Exp $
 *
 * Copyright (C) 2001 Mike Panetta 
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 * This file contains a list of standard types to be used in
 * the library.  Any new type that is added to the system
 * that is to be used in more than one part of the library
 * should be placed here, unless its specific to a particular
 * system.  These types are specific to m68k based processors.
 *
 */

/**
 *
 *  @file    types.h
 *
 *  @brief   Standard data types.
 *
 */


#ifndef __TYPES_H
#define __TYPES_H

/* Int types */

typedef unsigned char  uint8;
typedef signed   char  int8;
typedef unsigned short uint16;
typedef signed   short int16;
typedef unsigned int   uint32;
typedef signed   int   int32;

/* Boolean types */

#ifndef __cplusplus

typedef uint8		   bool;

#endif

#define FALSE 0
#define TRUE (!FALSE)

/* Other misc types. */
typedef void *		   address;


#endif
