/*
 * $Id: adc.c,v 1.1 2003/10/30 03:16:19 dasmith Exp $
 *
 * This file contains the low level
 * functions used to access the MAX118 ADC on the MRM.
 *
 * Copyright (C) 2003 David Smith
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include <68332/mrm/adc.h>

int adc_all(unsigned char adc[])
{
  adc[0] = *(unsigned char *)0xf00000;
  adc[0] = *(unsigned char *)0xf00001;
  adc[0] = *(unsigned char *)0xf00002;
  adc[1] = *(unsigned char *)0xf00003;
  adc[2] = *(unsigned char *)0xf00004;
  adc[3] = *(unsigned char *)0xf00005;
  adc[4] = *(unsigned char *)0xf00006;
  adc[5] = *(unsigned char *)0xf00007;
  adc[6] = *(unsigned char *)0xf00000;
  adc[7] = *(unsigned char *)0xf00000;

  return 0;
}

uint8 adc_channel(adc_channel_t channel_num)
{
  uint8 tmp1, tmp2;
  uint8 *ptr;

  if ((channel_num < ADC_CHANNEL0) || (channel_num > ADC_CHANNEL7))
    return -1;

  ptr = (unsigned char *)(0xf00000 + channel_num);

  tmp1 = *ptr++;  // set channel
  tmp2 = *ptr++;  // convert
  return *ptr;    // read
}
