
/*
 * pre_main.c
 *
 * Setup stuff that doesnt need to be written in asm
 */

#include <68332/isr.h>

extern long vector_start[];	/* interrupt vector space as set in linker script */

void pre_main(void)
{
    int i;

#ifdef WITHCPU32BUG
    /*
     * copy over cpu32bug's interrupt vectors which are at 0x0000 - 0x1024
     */
    for (i = 2; i < 256; i++)
	vector_start[i] = *(long *) (i * 4);
#endif

    /* set vector base register to where we set up our vectors (0x400) */
    asm("move %d0,-(%a7);move #0x400,%d0;movec %d0,%vbr;move (%a7)+,%d0");

    /*
     * enable all levels of interrupts, we may want to change this
     * later but for now I see no need in disabling levels
     */
    set_int_level(0);
    
    return;
}
