/*
 * status_reg.h
 *
 * Structure to simplify access to the bits in the status reg.
 */


#ifndef __STATUS_REG_H__
#define __STATUS_REG_H__

#include <68332/types.h>

typedef union {
    struct {
	uint16 T : 2;	/* trace enable		*/
	uint16 S : 1;	/* supervisor/user state*/
	uint16 unused : 2;
	uint16 IP : 3;	/* interrupt priority mask */
	uint16 unused2 : 3;
	uint16 X : 1;	/* Extend flag		*/
	uint16 N : 1;	/* negative flag	*/
	uint16 Z : 1;	/* zero flag		*/
	uint16 V : 1;	/* overflow flag	*/
	uint16 C : 1;	/* carry flag		*/
    } BITS;

    uint16 FULLWORD;
} status_reg_t;


#endif


