/*
 * $Id: lcd_cursor.c,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include "_lcd.h"

/*
 * Function: lcd_cursor
 * Description: Turn the LCD cursor on or off as either a flashing
 *              or steady cursor
 * Parameters:
 *    bool on - true if you want to see the cursor
 *    bool flashing - true if you want the cursor to flash
 * Returns: void
 */
void lcd_cursor(bool on, bool flashing)
{
  int cmd = LCDCMD_DISPLAY_ON;

  if (on)
    cmd |= LCDCMD__WITH_CURSOR;

  if (flashing)
      cmd |= LCDCMD__WITH_BLINK;
  
  if (g_LCDState.displayOn)
    lcd_write_cmd(cmd);

  g_LCDState.cursorOn = on;
  g_LCDState.cursorFlashing = flashing;
}

