/*
 * $Id: lcd_display.c,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include "_lcd.h"

/*
 * Function: lcd_display
 * Description: turn the lcd display on or off
 * Parameters:
 *    bool on - true if you want the display turned on
 * Returns: void
 */
void lcd_display_enable(bool on)
{
  int cmd;

  if (on) {
    cmd = LCDCMD_DISPLAY_ON;
    if (g_LCDState.cursorOn)
      cmd |= LCDCMD__WITH_CURSOR;
    if (g_LCDState.cursorFlashing)
      cmd |= LCDCMD__WITH_BLINK;
  } else {
    cmd = LCDCMD_DISPLAY_OFF;
  }
  
  lcd_write_cmd(cmd);

  g_LCDState.displayOn = on;
}

