/*
 * $Id: lcd_gotoxy.c,v 1.3 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include "_lcd.h"

/*
 * Function: lcd_gotoxy
 * Description: Move the lcd cursor to row y column x
 * Parameters:
 *    uint8 x - column
 *    uint8 y - row
 * Returns: void
 */
void lcd_gotoxy(uint8 x, uint8 y)
{
  if (x>=g_LCDState.iCols || y>=g_LCDState.iRows)
    return;

  if (y==0) {
    if (x<=39) {
      lcd_write_cmd((LCDCMD_SETDDADDR|LCDCMD__DDLINE0)+x);
    }
  }
  else if (y==1) {
    if (x<=39) {
      lcd_write_cmd((LCDCMD_SETDDADDR|LCDCMD__DDLINE1)+x);
    }
  }
  else if (y==2) {
    if (x<=39) {
      lcd_write_cmd((LCDCMD_SETDDADDR|LCDCMD__DDLINE2)+x);
    }
  }
  else if (y==3) {
    if (x<=39) {
      lcd_write_cmd((LCDCMD_SETDDADDR|LCDCMD__DDLINE3)+x);
    }
  }

  g_LCDState.ix = x;
  g_LCDState.iy = y;
}
