/*
 * $Id: lcd_printf.c,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include <stdio.h>
#include <stdarg.h>
#include "_lcd.h"

/*
 * Function: lcd_printf
 * Description: Write a printf-formatted string to the lcd
 * Parameters:
 *    char *pszPattern - the format pattern
 *    ... - arguments for the pattern
 * Returns:
 *    void
 */
void lcd_printf(char *pszPattern, ...)
{
  va_list ap;
  char szBuffer[256];

  va_start(ap,pszPattern);

  vsprintf(szBuffer,pszPattern,ap);
  lcd_write_string(szBuffer);

  va_end(ap);
}

