/*
 * $Id: lcd_write.c,v 1.2 2002/10/03 01:22:16 dwalters Exp $
 *
 * Copyright (C) 2001 Martin R. Calsyn
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 */

#include "68332/mrm/lcd.h"
#include "_lcd.h"

/*
 * Function: lcd_write_cmd
 * Description: Write a control byte to the lcd
 * Parameters:
 *    char val - the value to be written
 * Returns: void
 */
void lcd_write_cmd(uint8 val) 
{
  while (LCD->CONTROL & LCD_BUSY_FLAG) {
    // wait here a bit for the current lcd command to complete
  }

  if (g_LCDState.fourBitMode) {
    LCD->CONTROL = val & 0xf0;
    LCD->CONTROL = (val<<4) & 0xf0;
  } else {
    LCD->CONTROL = val;
  }
}

/*
 * Function: lcd_write_data
 * Description: write a byte of character data to the display memory
 * Parameters:
 *    char val - byte to be written
 * Returns: void
 */
void lcd_write_data(char val) 
{
  while (LCD->CONTROL & LCD_BUSY_FLAG) {
    // wait here a bit for the current lcd command to complete
  }
  
  if (g_LCDState.fourBitMode) {
    LCD->DATA = val & 0xf0;
    LCD->DATA = (val<<4) & 0xf0;
  } else {
    LCD->DATA = val;
  }
}
