#include <stdio.h>
#include <68332/qsm.h>
#include <68332/sim.h>
#include <68332/mrm/led.h>
#include <68332/mrm/lcd.h>

typedef short int word;

#define BAUD_RATE 19200

int main(void)
{
    char c;

    set_processor_speed(CLOCK16MHZ);

    /*
     * since sciinit is required for all programs that do i/o
     * perhaps it should be in mrm_crt0.S also?  It would still
     * be available if the user wanted to change baud rate.
     */
    sciinit(BAUD_RATE);

    lcd_init(2, 16, 0, FALSE);

    lcd_clear();
    lcd_home();
    lcd_printf("line one\nline two");

    printf("enter a character:\n ");
    while (!havebyte());
    c = inbyte();

    lcd_printf("\nline three");

    printf("enter a character:\n ");
    while (!havebyte());
    inbyte();

    lcd_printf("\nline four");

    printf("enter a character:\n ");
    while (!havebyte());
    inbyte();

    lcd_clear();
    lcd_gotoxy(12,1);
    lcd_printf("Done");

    /* make sure all data from printf's has been printed */
    while (sendingbyte());
    exit(0);
}
