/*
 * $Id: sim_h.c,v 1.1 2001/12/31 03:44:51 drc42 Exp $
 *
 * Test code for sim_regs.h header file.
 *
 * Copyright (C) 2001 Doug Chapman
 * drc@drcproductions.com
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 */

#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <68332/qsm.h>
#include <68332/sim.h>
#include <68332/types.h>

#include "../../../libsim/68332/sim_regs.h"
#include "sim_reg_addrs.h"

#define BAUD_RATE 19200

SIM_T *test_sim = (SIM_T *)SIM_BASE;

int testit(char *name, uint32 expected_addr, uint32 actual_addr ){
    printf ("\t%-10s\t0x%08x\t0x%08x\t", name, expected_addr, actual_addr);
    if (expected_addr == actual_addr)
	printf ("PASS\n");
    else
	printf ("FAIL\n");

    return 0;
}


int main(void)
{
    set_processor_speed(CLOCK16MHZ);
    sciinit(BAUD_RATE);

    printf ("Test to verify the correctnes of sim_regs.h\n");

    testit("MCR",	SIM_MCR,	(uint32)&test_sim->SIMCR);
    testit("SIMTR",	SIM_SIMTR,	(uint32)&test_sim->SIMTR);
    testit("SYNCR",	SIM_SYNCR,	(uint32)&test_sim->SYNCR);
    testit("RSR",	SIM_RSR,	(uint32)&test_sim->RSR);
    testit("SIMTRE",	SIM_SIMTRE,	(uint32)&test_sim->SIMTRE);
    testit("PORTE",	SIM_PORTE,	(uint32)&test_sim->PORTE0);
    testit("DDRE",	SIM_DDRE,	(uint32)&test_sim->DDRE);
    testit("PEPAR",	SIM_PEPAR,	(uint32)&test_sim->PEPAR);
    testit("SYPCR",	SIM_SYPCR,	(uint32)&test_sim->SYPCR);
    testit("PICR",	SIM_PICR,	(uint32)&test_sim->PICR);
    testit("PITR",	SIM_PITR,	(uint32)&test_sim->PITR);
    testit("SWSR",	SIM_SWSR,	(uint32)&test_sim->SWSR);

    testit("PORTC",	SIM_PORTC,	(uint32)&test_sim->PORTC);
    
    /* make sure all data from printf's has been printed */
    while (sendingbyte());
    exit(0);
}
