/*
 * $Id: sim_reg_addrs.h,v 1.1 2001/12/31 03:44:51 drc42 Exp $
 *
 * Actual addresses of SIM registers to be used for testing of sim_regs.h.
 *
 * Copyright (C) 2001 Doug Chapman
 * drc@drcproductions.com
 *
 * This library is distributed under the terms of the GNU Lesser General
 * Public License (LGPL).  You should have received a copy of the
 * license along with this library (LGPL.txt); if not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA  02111-1307  USA
 *
 */

#define SIM_BASE_ACTUAL (0xfffffa00L)

#define SIM_MCR		 (SIM_BASE_ACTUAL)
#define SIM_SIMTR	 (SIM_BASE_ACTUAL+0x02)
#define SIM_SYNCR	 (SIM_BASE_ACTUAL+0X04)
#define SIM_RSR		 (SIM_BASE_ACTUAL+0X07)
#define SIM_SIMTRE	 (SIM_BASE_ACTUAL+0X08)
#define SIM_PORTE	 (SIM_BASE_ACTUAL+0X11)
#define SIM_DDRE	 (SIM_BASE_ACTUAL+0X15)
#define SIM_PEPAR	 (SIM_BASE_ACTUAL+0X17)
#define SIM_PORTF	 (SIM_BASE_ACTUAL+0X19)
#define SIM_DDRF	 (SIM_BASE_ACTUAL+0X1d)
#define SIM_PFPAR	 (SIM_BASE_ACTUAL+0X1f)
#define SIM_SYPCR	 (SIM_BASE_ACTUAL+0X21)
#define SIM_PICR	 (SIM_BASE_ACTUAL+0X22)
#define SIM_PITR	 (SIM_BASE_ACTUAL+0X24)
#define SIM_SWSR	 (SIM_BASE_ACTUAL+0X27)
#define SIM_TSTMSRA	 (SIM_BASE_ACTUAL+0X30)
#define SIM_TSTMSRB	 (SIM_BASE_ACTUAL+0X32)
#define SIM_TSTSCA	 (SIM_BASE_ACTUAL+0X34)
#define SIM_TSTSCB	 (SIM_BASE_ACTUAL+0X35)
#define SIM_TSTRC	 (SIM_BASE_ACTUAL+0X36)
#define SIM_CREG	 (SIM_BASE_ACTUAL+0X38)
#define SIM_DREG	 (SIM_BASE_ACTUAL+0X3a)
#define SIM_PORTC	 (SIM_BASE_ACTUAL+0X40)
#define SIM_CSPDR	 (SIM_BASE_ACTUAL+0X41)
#define SIM_CSPAR0	 (SIM_BASE_ACTUAL+0X44)
#define SIM_CSPAR1	 (SIM_BASE_ACTUAL+0X46)
#define SIM_CSBARBT	 (SIM_BASE_ACTUAL+0X48)
#define SIM_CSORBT	 (SIM_BASE_ACTUAL+0X4a)
#define SIM_CSBAR0	 (SIM_BASE_ACTUAL+0X4c)
#define SIM_CSOR0	 (SIM_BASE_ACTUAL+0X4e)
#define SIM_CSBAR1	 (SIM_BASE_ACTUAL+0X50)
#define SIM_CSOR1	 (SIM_BASE_ACTUAL+0X52)
#define SIM_CSBAR2	 (SIM_BASE_ACTUAL+0X54)
#define SIM_CSOR2	 (SIM_BASE_ACTUAL+0X56)
#define SIM_CSBAR3	 (SIM_BASE_ACTUAL+0X58)
#define SIM_CSOR3	 (SIM_BASE_ACTUAL+0X5a)
#define SIM_CSBAR4	 (SIM_BASE_ACTUAL+0X5c)
#define SIM_CSOR4	 (SIM_BASE_ACTUAL+0X5e)
#define SIM_CSBAR5	 (SIM_BASE_ACTUAL+0X60)
#define SIM_CSOR5	 (SIM_BASE_ACTUAL+0X62)
#define SIM_CSBAR6	 (SIM_BASE_ACTUAL+0X64)
#define SIM_CSOR6	 (SIM_BASE_ACTUAL+0X66)
#define SIM_CSBAR7	 (SIM_BASE_ACTUAL+0X68)
#define SIM_CSOR7	 (SIM_BASE_ACTUAL+0X6a)
#define SIM_CSBAR8	 (SIM_BASE_ACTUAL+0X6c)
#define SIM_CSOR8	 (SIM_BASE_ACTUAL+0X6e)
#define SIM_CSBAR9	 (SIM_BASE_ACTUAL+0X70)
#define SIM_CSOR9	 (SIM_BASE_ACTUAL+0X72)
#define SIM_CSBAR10	 (SIM_BASE_ACTUAL+0X74)
#define SIM_CSOR10	 (SIM_BASE_ACTUAL+0X76)

